## com.puppycrawl.tools.checkstyle.checks.indentation
Class SwitchHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
              com.puppycrawl.tools.checkstyle.checks.indentation.SwitchHandler

    public class SwitchHandler

extends BlockParentHandler

Handler for switch statements.

Author:
  jrichard

Constructor Summary
`SwitchHandler(IndentationCheck aIndentCheck, DetailAST aAst, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`void` `checkIndentation()` Check the indentation of the expression we are handling.
`protected DetailAST` `getLCurly()` Get the left curly brace portion of the expression we are handling.
`protected DetailAST` `getListChild()` There is no list of statements child for this handler.
`protected DetailAST` `getNonlistChild()` There is no child element that is not a list of statements.
`protected DetailAST` `getRCurly()` Get the right curly brace portion of the expression we are handling.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
`checkLCurly, checkRCurly, checkToplevelToken, childrenMayNest, getCheckedChildren, getChildrenExpectedLevel, getLParen, getRParen, getToplevelAST, hasCurlys, rcurlyMustStart, suggestedChildLevel, toplevelMustStartLine`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLevelImpl, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwitchHandler

    public SwitchHandler(IndentationCheck aIndentCheck,
                         DetailAST aAst,
                         ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aAst` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### getLCurly

    protected DetailAST getLCurly()

  Get the left curly brace portion of the expression we are handling.

  Overrides:
    `getLCurly` in class `BlockParentHandler`
  Returns:
    the left curly brace expression

### getRCurly

    protected DetailAST getRCurly()

  Get the right curly brace portion of the expression we are handling.

  Overrides:
    `getRCurly` in class `BlockParentHandler`
  Returns:
    the right curly brace expression

### getListChild

    protected DetailAST getListChild()

  There is no list of statements child for this handler.

  Overrides:
    `getListChild` in class `BlockParentHandler`
  Returns:
    null

### getNonlistChild

    protected DetailAST getNonlistChild()

  There is no child element that is not a list of statements.

  Overrides:
    `getNonlistChild` in class `BlockParentHandler`
  Returns:
    null

### checkIndentation

    public void checkIndentation()

  Check the indentation of the expression we are handling.

  Overrides:
    `checkIndentation` in class `BlockParentHandler`

Back to the Checkstyle Home Page